Drupal.behaviors.nice_dash_ga_widgets = function(context) {
    var script = document.createElement("script");
    script.src = "http://www.google.com/jsapi?callback=initGoogleDependencies";
    script.type = "text/javascript";
    document.getElementsByTagName("head")[0].appendChild(script);
}
   

function initGaWidgets() {  
  if (Drupal.settings.nice_dash.ga_widgets.length > 0) {
    for (var i=0; i <= Drupal.settings.nice_dash.ga_widgets.length; i++) {
      if (Drupal.settings.nice_dash.ga_widgets[i] != undefined) {
        window['ga_get_' + Drupal.settings.nice_dash.ga_widgets[i]]();
      }      
    }
  }
}

function ga_get_visits() {
  $.getJSON(Drupal.settings['basePath'] + 'admin/dashboard/ga',{type : 'visits'},function(result) {
    var options = {};
    options.width = $('#stats-visits').width() + 100;
    options.height = 200;
    options.legend = 'top';
    options.pointSize = 3;
    options.colors = ['#0077cc','e6f2fa'];
    options.hAxis = {slantedTextAngle:45, slantedText:true, textStyle: {fontSize: 11}};

    var data = new google.visualization.DataTable();
    data.addColumn('string', 'x');
    data.addColumn('number', 'Pageviews');
    data.addColumn('number', 'Visits');

    for (var i = 0; i < result.data['results'].length; i++) {
      data.addRow([result.data['results'][i]['date'], result.data['results'][i]['pageviews'], result.data['results'][i]['visits']]);
    }

    // Create and draw the visualization.
    var chart = new google.visualization.LineChart(document.getElementById('stats-visits'));
    chart.draw(data, options);
  });
}

function ga_get_visitors() {
  $.getJSON(Drupal.settings['basePath'] + 'admin/dashboard/ga',{type : 'visits'},function(result) {

    var options = {};
    options.cht = 'ls';
    options.colors = ['#0077cc'];
    options.chm='B,e6f2fa,0,0,0';
    options.fill = true;
    options.chls=2;
    options.width=220
    options.height=40
    options.showValueLabels= false;

    var data = new google.visualization.DataTable();

    data.addColumn('number');

    data.addRows(result.data['results'].length);

    for (var i = 0; i < result.data['results'].length; i++) {
      data.setValue(i, 0, result.data['results'][i]['visits']);
    }

   var chart = new google.visualization.ImageChart(document.getElementById('stats-visitors'));
   chart.draw(data, options);

   $('#stats-visitors').wrap('<div />');
   $('#stats-visitors').parent('div').append('<div class="float-left"><p>'+ Drupal.t('Visitors') +'</p><h3 class="ga-heading">'+ result.data['totalVisits'] +'</h3></div>');
  });
}

function ga_get_pageviews() {
  $.getJSON(Drupal.settings['basePath'] + 'admin/dashboard/ga',{type : 'pageviews'},function(result) {

    var options = {};
    options.cht = 'ls';
    options.colors = ['#0077cc'];
    options.chm='B,e6f2fa,0,0,0';
    options.fill = true;
    options.chls=2;
    options.width=220
    options.height=40
    options.showValueLabels= false;

    var data = new google.visualization.DataTable();

    data.addColumn('number');

    data.addRows(result.data['results'].length);

    for (var i = 0; i < result.data['results'].length; i++) {
      data.setValue(i, 0, result.data['results'][i]['pageviews']);
    }

   var chart = new google.visualization.ImageChart(document.getElementById('stats-pageviews'));
   chart.draw(data, options);

   $('#stats-pageviews').wrap('<div />');
   $('#stats-pageviews').parent('div').append('<div class="float-left"><p>'+ Drupal.t('Pageviews') +'</p><h3 class="ga-heading">'+ result.data['totalPageViews'] +'</h3></div>');
  });
}

function ga_get_bounces() {
  $.getJSON(Drupal.settings['basePath'] + 'admin/dashboard/ga',{type : 'bounces'},function(result) {

    var options = {};
    options.cht = 'ls';
    options.colors = ['#0077cc'];
    options.chm='B,e6f2fa,0,0,0';
    options.fill = true;
    options.chls=2;
    options.width=220
    options.height=40
    options.showValueLabels= false;

    var data = new google.visualization.DataTable();
    data.addColumn('number');
    data.addRows(result.data['results'].length);

    for (var i = 0; i < result.data['results'].length; i++) {
      data.setValue(i, 0, result.data['results'][i]['rate']);
    }

    var chart = new google.visualization.ImageChart(document.getElementById('stats-bounces'));
    chart.draw(data, options);

    $('#stats-bounces').wrap('<div />');
    $('#stats-bounces').parent('div').append('<div class="float-left"><p>'+ Drupal.t('Bounce rate') +'</p><h3 class="ga-heading">'+ result.data['totalRate'] +'</h3></div>');
  });
}

function ga_get_newvisits() {
  $.getJSON(Drupal.settings['basePath'] + 'admin/dashboard/ga',{type : 'new_visits'},function(result) {

    var options = {};
    options.cht = 'ls';
    options.colors = ['#0077cc'];
    options.chm='B,e6f2fa,0,0,0';
    options.fill = true;
    options.chls=2;
    options.width=220
    options.height=40
    options.showValueLabels= false;

    var data = new google.visualization.DataTable();
    data.addColumn('number');
    data.addRows(result.data['results'].length);

    for (var i = 0; i < result.data['results'].length; i++) {
      data.setValue(i, 0, result.data['results'][i]['rate']);
    }

    var chart = new google.visualization.ImageChart(document.getElementById('stats-new-visits'));
    chart.draw(data, options);

    $('#stats-new-visits').wrap('<div class="center" />');
    $('#stats-new-visits').parent('div').append('<div class="float-left"><p>'+ Drupal.t('New visitors') +'</p><h3 class="ga-heading">'+ result.data['totalRate'] +'</h3></div>');
  });
}


function ga_get_browser() {
 $.getJSON(Drupal.settings['basePath'] + 'admin/dashboard/ga',{type : 'browser'},function(result) {

    var options = {};
    options.width= $('#stats-browsers').width();
    options.height = $('#stats-browsers').width() - 150;
    options.is3D = true;

    var data = new google.visualization.DataTable();
    data.addColumn('string', 'Browser');
    data.addColumn('number', 'Visits');
    data.addRows(result.data.length);

    for (var i = 0; i < result.data.length; i++) {
      data.setValue(i, 0, result.data[i]['browser']);
      data.setValue(i, 1, result.data[i]['visits']);
    }

    var chart = new google.visualization.PieChart(document.getElementById('stats-browsers'));
    chart.draw(data, options);
  });
}

function ga_get_geo() {
  $.getJSON(Drupal.settings['basePath'] + 'admin/dashboard/ga',{type : 'geo'},function(result) {

    var options = {};
    options.width= $('#stats-geo').width();
    
    var data = new google.visualization.DataTable();
    data.addColumn('string', 'Country');
    data.addColumn('number', 'Visits');
    data.addRows(result.data.length);

    for (var i = 0; i < result.data.length; i++) {
      data.setValue(i, 0, result.data[i]['country']);
      data.setValue(i, 1, result.data[i]['visits']);
    }

    var chart = new google.visualization.GeoMap(document.getElementById('stats-geo'));
    chart.draw(data, options);
  });
}

function ga_get_pages() {
  $.getJSON(Drupal.settings['basePath'] + 'admin/dashboard/ga',{type : 'pages'},function(result) {

    var options = {};
    options.page = 'enable';
    options.pageSize = 10;

    var data = new google.visualization.DataTable();
    data.addColumn('string', 'Path');
    data.addColumn('number', 'Pageviews');
    data.addRows(result.data.length);

    for (var i = 0; i < result.data.length; i++) {
      data.setCell(i, 0, result.data[i]['pagepath']);
      data.setCell(i, 1,result.data[i]['pageviews']);
    }

    var chart = new google.visualization.Table(document.getElementById('stats-pages'));
    chart.draw(data, options);
  });
}


function ga_get_entrances() {
   $.getJSON(Drupal.settings['basePath'] + 'admin/dashboard/ga',{type : 'entrances'},function(result) {

    var options = {};
    options.page = 'enable';
    options.pageSize = 10;

    var data = new google.visualization.DataTable();
    data.addColumn('string', 'Path');
    data.addColumn('number', 'Entrances');
    data.addRows(result.data.length);

    for (var i = 0; i < result.data.length; i++) {
      data.setCell(i, 0, result.data[i]['landingpagepath']);
      data.setCell(i, 1, result.data[i]['entrances']);
    }

    var chart = new google.visualization.Table(document.getElementById('stats-entrances'));
    chart.draw(data, options);
  });
}

function ga_get_exits() {
  $.getJSON(Drupal.settings['basePath'] + 'admin/dashboard/ga',{type : 'exits'},function(result) {

    var options = {};
    options.page = 'enable';
    options.pageSize = 10;

    var data = new google.visualization.DataTable();
    data.addColumn('string', 'Path');
    data.addColumn('number', 'Exits');
    data.addRows(result.data.length);

    for (var i = 0; i < result.data.length; i++) {
      data.setCell(i, 0, result.data[i]['exitpagepath']);
      data.setCell(i, 1,result.data[i]['exits']);
    }

    var chart = new google.visualization.Table(document.getElementById('stats-exits'));
    chart.draw(data, options);
  });
}
function ga_get_keywords() {
 $.getJSON(Drupal.settings['basePath'] + 'admin/dashboard/ga',{type : 'keywords'},function(result) {

    var options = {};
    options.page = 'enable';
    options.pageSize = 10;

    var data = new google.visualization.DataTable();
    data.addColumn('string', 'Keyword');
    data.addColumn('number', 'Total');
    data.addRows(result.data.length);

    for (var i = 0; i < result.data.length; i++) {
      data.setCell(i, 0, result.data[i]['keyword']);
      data.setCell(i, 1,result.data[i]['visits']);
    }

    var chart = new google.visualization.Table(document.getElementById('stats-keywords'));
    chart.draw(data, options);
  });
}
function ga_get_sources() {
  $.getJSON(Drupal.settings['basePath'] + 'admin/dashboard/ga',{type : 'sources'},function(result) {

    var options = {};
    options.page = 'enable';
    options.pageSize = 10;

    var data = new google.visualization.DataTable();
    data.addColumn('string', 'Source');
    data.addColumn('number', 'Total');
    data.addRows(result.data.length);

    for (var i = 0; i < result.data.length; i++) {
      data.setCell(i, 0, result.data[i]['source']);
      data.setCell(i, 1,result.data[i]['visits']);
    }

    var chart = new google.visualization.Table(document.getElementById('stats-sources'));
    chart.draw(data, options);
  });
}
function ga_get_hours() {
  $.getJSON(Drupal.settings['basePath'] + 'admin/dashboard/ga',{type : 'hours'},function(result) {

    var options = {};
    options.width = $('#stats-hours').width() + 100;
    options.height = 200;
    options.legend = 'none';
    options.hAxis = {slantedTextAngle:45, slantedText:true, textStyle: {fontSize: 9}};


    var data = new google.visualization.DataTable();
    data.addColumn('string', 'Hour');
    data.addColumn('number', 'Total');

    data.addRows(result.data.length );

    for (var i = 0; i < result.data.length; i++) {
      data.setValue(i, 0, result.data[i]['hour']);
      data.setValue(i, 1, result.data[i]['visits']);
    }

     new google.visualization.ColumnChart(document.getElementById('stats-hours')).
      draw(data, options);
  });
}  

function initGoogleDependencies() {
  google.load('visualization', '1', {'callback':initGaWidgets, 'packages':['corechart','imagesparkline','geomap','table']})
}