<?php

/**
 * @file
 * Comments plugin for Nice dashboard.
 */

class nice_dash_views {

  /**
   * Enabled method.
   */
  function is_enabled() {
    return TRUE;
  }

  /**
   * Widgets method.
   */
  function widgets() {
    return $this->nice_dash_get_dashboard_widgets();
  }

  /**
   * Latests comments.
   */
  function nice_dash_views_embed($title, $description, $arguments) {
    $view = views_get_view($arguments[0]);
    if (!$view || !$view->access($arguments[1]) || $view->disabled !== FALSE) {
      return;
    }

    return array(
      'title' => $title,
      'description' => $description,
      'content' => $view->preview($arguments[1]),
    );
  }

  function nice_dash_get_dashboard_widgets() {
    $items = array();
    $views = views_get_all_views();
    foreach ($views as $view) {
      // disabled views get nothing.
      if (!empty($view->disabled)) {
        continue;
      }

      $view->init_display();
      foreach ($view->display as $display_id => $display) {
        if ($view->disabled == FALSE) {
          if (isset($display->handler) && !empty($display->handler->definition['nice_dash_dashboard_widget'])) {
            $result = $display->handler->execute_dashboard_widget();
            if (is_array($result)) {
              $items[$result['id']] = $result;
            }
          }
        }
      }
    }

    return $items;
  }
}
